Issues with loading Curic Drawing tools for SU2021

Dear all

I have issues installing the Curic Drawing tools in SU21. I have checked with the developer (that has responded very quickly and service minded :slight_smile: ) that I have the link to the SU21 extension files and not the older ones. Does anybody have the knowledge to translate the message below that I get when I start up SU21?

I have activated my license in SU21.

Thank you

Error: #<LoadError: 126: Det angivne modul blev ikke fundet. - C:/Users/jakob/AppData/Roaming/SketchUp/SketchUp 2021/SketchUp/Plugins/curic_dio2/clib/so/2.7/x64/DIO2.so>
C:/Program Files/SketchUp/SketchUp 2021/Tools/RubyStdLib/rubygems/core_ext/kernel_require.rb:92:in require' C:/Program Files/SketchUp/SketchUp 2021/Tools/RubyStdLib/rubygems/core_ext/kernel_require.rb:92:in require’
c:/users/jakob/appdata/roaming/sketchup/sketchup 2021/sketchup/plugins/curic_dio2/loader.rbe:94:in <module:DIO2>' c:/users/jakob/appdata/roaming/sketchup/sketchup 2021/sketchup/plugins/curic_dio2/loader.rbe:49:in module:CURIC
c:/users/jakob/appdata/roaming/sketchup/sketchup 2021/sketchup/plugins/curic_dio2/loader.rbe:42:in <main>' C:/Program Files/SketchUp/SketchUp 2021/Tools/extensions.rb:197:in eval’
C:/Program Files/SketchUp/SketchUp 2021/Tools/extensions.rb:197:in require' C:/Program Files/SketchUp/SketchUp 2021/Tools/extensions.rb:197:in load’
C:/Users/jakob/AppData/Roaming/SketchUp/SketchUp 2021/SketchUp/Plugins/curic_dio2.rb:23:in register_extension' C:/Users/jakob/AppData/Roaming/SketchUp/SketchUp 2021/SketchUp/Plugins/curic_dio2.rb:23:in module:DIO2
C:/Users/jakob/AppData/Roaming/SketchUp/SketchUp 2021/SketchUp/Plugins/curic_dio2.rb:5:in <module:CURIC>' C:/Users/jakob/AppData/Roaming/SketchUp/SketchUp 2021/SketchUp/Plugins/curic_dio2.rb:3:in <top (required)>’
Error: #<LoadError: 126: Det angivne modul blev ikke fundet. - C:/Users/jakob/AppData/Roaming/SketchUp/SketchUp 2021/SketchUp/Plugins/curic_stretch/clib/so/2.7/x64/Stretch.so>
C:/Program Files/SketchUp/SketchUp 2021/Tools/RubyStdLib/rubygems/core_ext/kernel_require.rb:92:in require' C:/Program Files/SketchUp/SketchUp 2021/Tools/RubyStdLib/rubygems/core_ext/kernel_require.rb:92:in require’
c:/users/jakob/appdata/roaming/sketchup/sketchup 2021/sketchup/plugins/curic_stretch/loader.rbe:43:in <module:Stretch>' c:/users/jakob/appdata/roaming/sketchup/sketchup 2021/sketchup/plugins/curic_stretch/loader.rbe:9:in module:CURIC
c:/users/jakob/appdata/roaming/sketchup/sketchup 2021/sketchup/plugins/curic_stretch/loader.rbe:2:in <main>' C:/Program Files/SketchUp/SketchUp 2021/Tools/extensions.rb:197:in eval’
C:/Program Files/SketchUp/SketchUp 2021/Tools/extensions.rb:197:in require' C:/Program Files/SketchUp/SketchUp 2021/Tools/extensions.rb:197:in load’
C:/Users/jakob/AppData/Roaming/SketchUp/SketchUp 2021/SketchUp/Plugins/curic_stretch.rb:22:in `register_extension’
C:/Users/jakob/AppData/Roaming/SketchUp/SketchUp

Hi, not really a reply to your personal problem but a reply to everyone who have problems with @curic4su extensions and SU21

curic send an email

Curic Now Supports SketchUp 2021!

  • To download new installs, please reopen the mail receipt containing your license key or login into gumroad.com by your email address.
  • Don’t copy the Curic plugins from an older SketchUp version
  • Always install the plugin from rbz file inside Extension Manager
  • Uninstall old plugin’s version before installing new versions in SketchUp
1 Like

The developer has quickly resolve the issues. Thank you for a quick and efficient effort.

1 Like